import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const execution of client.executions.list()) {
console.log(execution.id);
}
import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
page = client.executions.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
page, err := client.Executions.List(context.TODO(), riza.ExecutionListParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const execution of client.executions.list()) {
console.log(execution.id);
}
import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
page = client.executions.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
page, err := client.Executions.List(context.TODO(), riza.ExecutionListParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Riza","colors":{"primary":"#6D3E1C","light":"#F3E6CD","dark":"#150F0A"},"logo":{"light":"https://mintcdn.com/rizainc/pI0gH_-ICv-ySWJQ/logo/light.svg?fit=max\u0026auto=format\u0026n=pI0gH_-ICv-ySWJQ\u0026q=85\u0026s=0d9bef6436745a02be344f01336ff72f","dark":"https://mintcdn.com/rizainc/pI0gH_-ICv-ySWJQ/logo/dark.svg?fit=max\u0026auto=format\u0026n=pI0gH_-ICv-ySWJQ\u0026q=85\u0026s=1e1a571121f08f276200373379438d4f"},"favicon":"/favicon.png","api":{"openapi":["openapi.enhanced.yaml"],"playground":{"display":"none"}},"navbar":{"links":[{"label":"Website","href":"https://riza.io/"},{"label":"Email us","href":"mailto:hello@riza.io"},{"label":"Discord","href":"https://discord.gg/4P6PUeJFW5"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.riza.io/"}},"footer":{"socials":{"website":"https://riza.io","x":"https://x.com/rizaio","bluesky":"https://bsky.app/profile/riza.io","discord":"https://discord.gg/4P6PUeJFW5","github":"https://github.com/riza-io","linkedin":"https://www.linkedin.com/company/riza-inc","youtube":"https://www.youtube.com/@Riza-Inc"}},"integrations":{"plausible":{"domain":"riza.io"}},"banner":{"content":"The Code Interpreter API is shutting down on October 1st, 2025. Read more [here](https://riza.io/blog/shutting-down-hosted-code-interpreter)."},"navigation":{"global":{"anchors":[{"anchor":"Try the API playground","icon":"circle-play","href":"https://riza.io/playground"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rizainc","hasAudioNarration":false,"actualSubdomain":"rizainc","customDomains":["docs.riza.io"],"gitSource":{"type":"github","owner":"riza-io","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a21e62ca8fc07c2afd36f84","collectionId":"e0070e7c-7dbb-4937-9943-32af2cce3146","schemaVersion":"v2"},"entitlements":{},"buildId":"6a21e62ca8fc07c2afd36f84:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Getting Started","count":35},{"language":"default","tag":"API Reference","count":19},{"language":"default","tag":"Custom Runtimes","count":7},{"language":"default","tag":"Code Execution","count":7},{"language":"default","tag":"Tools","count":5},{"language":"default","tag":"Tool-use Guides","count":5},{"language":"default","tag":"Interpreter Environment","count":5},{"language":"default","tag":"Overview","count":4},{"language":"default","tag":"Use Case Guides","count":4},{"language":"default","tag":"I/O Reference","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/execution/list-executions","slug":"/api-reference/execution/list-executions","pageMetadata":{"openapi":"get /v1/executions","title":"List executions","description":"Returns a list of executions in your project.","href":"/api-reference/execution/list-executions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Returns a list of executions in your project.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v1/executions","title":"List executions","description":"Returns a list of executions in your project.","href":"/api-reference/execution/list-executions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Returns a list of executions in your project.","operationId":"listExecutions","parameters":["152e3922-c1ab-4c1e-a67e-1b673334345c","9b907f7b-3c89-44d5-998b-58cba93548e2","60e94a69-2348-42ce-8487-8222b9d37528"],"responses":{"200":"53d65faa-6a5b-4091-a154-9032a43735ec","401":"509dfd30-038b-4503-98ac-b2ec6ed3b764"},"summary":"List executions","tags":["Execution"],"x-codeSamples":[{"lang":"JavaScript","source":"import Riza from '@riza-io/api';\n\nconst client = new Riza({\n apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const execution of client.executions.list()) {\n console.log(execution.id);\n}"},{"lang":"Python","source":"import os\nfrom rizaio import Riza\n\nclient = Riza(\n api_key=os.environ.get(\"RIZA_API_KEY\"), # This is the default and can be omitted\n)\npage = client.executions.list()\npage = page.data[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n \"context\"\n \"fmt\"\n\n \"github.com/riza-io/riza-api-go\"\n \"github.com/riza-io/riza-api-go/option\"\n)\n\nfunc main() {\n client := riza.NewClient(\n option.WithAPIKey(\"My API Key\"), // defaults to os.LookupEnv(\"RIZA_API_KEY\")\n )\n page, err := client.Executions.List(context.TODO(), riza.ExecutionListParams{\n\n })\n if err != nil {\n panic(err.Error())\n }\n fmt.Printf(\"%+v\\n\", page)\n}\n"}],"method":"get","type":"path","servers":["d0941187-539b-4ea1-b339-3391ad343706"],"security":["dab6cadc-4d66-4870-b4fa-49b27d6a3e15"],"path":"/v1/executions","baseUrlOptions":["https://api.riza.io"],"title":"List executions","codeSamples":[{"lang":"JavaScript","source":"import Riza from '@riza-io/api';\n\nconst client = new Riza({\n apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted\n});\n\n// Automatically fetches more pages as needed.\nfor await (const execution of client.executions.list()) {\n console.log(execution.id);\n}"},{"lang":"Python","source":"import os\nfrom rizaio import Riza\n\nclient = Riza(\n api_key=os.environ.get(\"RIZA_API_KEY\"), # This is the default and can be omitted\n)\npage = client.executions.list()\npage = page.data[0]\nprint(page.id)"},{"lang":"Go","source":"package main\n\nimport (\n \"context\"\n \"fmt\"\n\n \"github.com/riza-io/riza-api-go\"\n \"github.com/riza-io/riza-api-go/option\"\n)\n\nfunc main() {\n client := riza.NewClient(\n option.WithAPIKey(\"My API Key\"), // defaults to os.LookupEnv(\"RIZA_API_KEY\")\n )\n page, err := client.Executions.List(context.TODO(), riza.ExecutionListParams{\n\n })\n if err != nil {\n panic(err.Error())\n }\n fmt.Printf(\"%+v\\n\", page)\n}\n"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"152e3922-c1ab-4c1e-a67e-1b673334345c":{"description":"The ID of the item to start after. To get the next page of results, set this to the ID of the last item in the current page.","in":"query","name":"starting_after","schema":{"type":"string","description":"The ID of the item to start after. To get the next page of results, set this to the ID of the last item in the current page.","uniqueKey":"","typeLabel":"string"}},"9b907f7b-3c89-44d5-998b-58cba93548e2":{"description":"The number of items to return. Defaults to 100. Maximum is 100.","in":"query","name":"limit","schema":{"type":"integer","description":"The number of items to return. Defaults to 100. Maximum is 100.","uniqueKey":"","typeLabel":"integer"}},"60e94a69-2348-42ce-8487-8222b9d37528":{"description":"If true, only show executions where the exit code is not 0, indicating an execution error. Defaults to false.","in":"query","name":"only_non_zero_exit_codes","schema":{"type":"boolean","description":"If true, only show executions where the exit code is not 0, indicating an execution error. Defaults to false.","uniqueKey":"","typeLabel":"boolean"}}},"responses":{"53d65faa-6a5b-4091-a154-9032a43735ec":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"duration":{"type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].duration","typeLabel":"integer"},"exit_code":{"type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].exit_code","typeLabel":"integer"},"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"language":{"enum":["python","javascript","typescript","ruby","php"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].language","typeLabel":"enum\u003cstring>"},"started_at":{"format":"date-time","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].started_at","typeLabel":"string\u003cdate-time>"},"details":{"oneOf":[{"type":"object","required":["type","tool_id","request","response"],"properties":{"request":{"properties":{"env":{"description":"Set of key-value pairs to add to the tool's execution environment.","items":{"description":"Set of key-value pairs to add to the tool's execution environment.","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.request.env.items.[INDEX].name","typeLabel":"string"},"secret_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.env.items.[INDEX].secret_id","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.env.items.[INDEX].value","typeLabel":"string"}},"required":["name"],"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.env.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.env","typeLabel":"object[]"},"http":{"description":"Configuration for HTTP requests and authentication.","properties":{"allow":{"description":"List of allowed HTTP hosts and associated authentication.","items":{"description":"List of allowed HTTP hosts and associated authentication.","properties":{"auth":{"description":"Authentication configuration for outbound requests to this host.","properties":{"basic":{"properties":{"password":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.basic.password","typeLabel":"string"},"secret_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.basic.secret_id","typeLabel":"string"},"user_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.basic.user_id","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.basic","typeLabel":"object"},"bearer":{"description":"Configuration to add an 'Authorization' header using the 'Bearer' scheme.","properties":{"secret_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.bearer.secret_id","typeLabel":"string"},"token":{"description":"The token to set, e.g. 'Authorization: Bearer \u003ctoken>'.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.bearer.token","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.bearer","typeLabel":"object"},"query":{"properties":{"key":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.query.key","typeLabel":"string"},"secret_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.query.secret_id","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.query.value","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth.query","typeLabel":"object"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].auth","typeLabel":"object"},"host":{"description":"The hostname to allow.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX].host","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http.allow","typeLabel":"object[]"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.http","typeLabel":"object"},"input":{"description":"The input to the tool. This must be a valid JSON-serializable object. It will be validated against the tool's input schema.","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.input","typeLabel":"any"},"revision_id":{"description":"The Tool revision ID to execute. This optional parmeter is used to pin executions to specific versions of the Tool. If not provided, the latest (current) version of the Tool will be executed.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.0.request.revision_id","typeLabel":"string"}},"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.request","typeLabel":"object"},"response":{"properties":{"execution":{"description":"The execution details of the function.","properties":{"duration":{"description":"The execution time of the function in milliseconds.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution.duration","typeLabel":"integer"},"exit_code":{"description":"The exit code returned by the function. Will often be '0' on success and non-zero on failure.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution.exit_code","typeLabel":"integer"},"id":{"description":"The ID of the execution.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution.id","typeLabel":"string"},"stderr":{"description":"The contents of 'stderr' after executing the function.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution.stderr","typeLabel":"string"},"stdout":{"description":"The contents of 'stdout' after executing the function.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution.stdout","typeLabel":"string"}},"required":["id","exit_code","stdout","stderr","duration"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.execution","typeLabel":"object"},"output":{"description":"The returned value of the Tool's execute function.","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.output","typeLabel":"any"},"output_status":{"description":"The status of the output. \"valid\" means your Tool executed successfully and returned a valid JSON-serializable object, or void. \"json_serialization_error\" means your Tool executed successfully, but returned a nonserializable object. \"error\" means your Tool failed to execute.","enum":["error","json_serialization_error","valid"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response.output_status","typeLabel":"enum\u003cstring>"}},"required":["output","output_status","execution"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.response","typeLabel":"object"},"tool_id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.tool_id","typeLabel":"string"},"type":{"enum":["tool"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.0.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.items.[INDEX].details.oneOf.0","typeLabel":"object"},{"type":"object","required":["type","request","response"],"properties":{"request":{"properties":{"code":{"description":"The function to execute. Your code must define a function named \"execute\" that takes in a single argument and returns a JSON-serializable value.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.request.code","typeLabel":"string"},"language":{"description":"The interpreter to use when executing code.","enum":["python","javascript","typescript"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.request.language","typeLabel":"enum\u003cstring>"},"env":{"additionalProperties":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.env.additionalProperties","typeLabel":"string"},"description":"Set of key-value pairs to add to the function's execution environment.","type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.env","typeLabel":"object"},"files":{"description":"List of input files.","items":{"properties":{"contents":{"description":"The contents of the file.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.files.items.[INDEX].contents","typeLabel":"string"},"path":{"description":"The relative path of the file.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.files.items.[INDEX].path","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.files.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.files","typeLabel":"object[]"},"http":{"description":"Configuration for HTTP requests and authentication.","properties":{"allow":{"description":"List of allowed HTTP hosts and associated authentication.","items":{"description":"List of allowed HTTP hosts and associated authentication.","properties":{"auth":{"description":"Authentication configuration for outbound requests to this host.","properties":{"basic":{"properties":{"password":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.basic.password","typeLabel":"string"},"user_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.basic.user_id","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.basic","typeLabel":"object"},"bearer":{"description":"Configuration to add an 'Authorization' header using the 'Bearer' scheme.","properties":{"token":{"description":"The token to set, e.g. 'Authorization: Bearer \u003ctoken>'.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.bearer.token","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.bearer","typeLabel":"object"},"header":{"properties":{"name":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.header.name","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.header.value","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.header","typeLabel":"object"},"query":{"properties":{"key":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.query.key","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.query.value","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth.query","typeLabel":"object"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].auth","typeLabel":"object"},"host":{"description":"The hostname to allow.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX].host","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http.allow","typeLabel":"object[]"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.http","typeLabel":"object"},"input":{"description":"The input to the function. This must be a valid JSON-serializable object. If you do not pass an input, your function will be called with None (Python) or null (JavaScript/TypeScript) as the argument.","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.input","typeLabel":"any"},"limits":{"description":"Configuration for execution environment limits.","properties":{"execution_timeout":{"description":"The maximum time allowed for execution (in seconds). Default is 30.","type":"integer","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.limits.execution_timeout","typeLabel":"integer"},"memory_size":{"description":"The maximum memory allowed for execution (in MiB). Default is 128.","type":"integer","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.limits.memory_size","typeLabel":"integer"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.limits","typeLabel":"object"},"runtime_revision_id":{"description":"The ID of the runtime revision to use when executing code.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.1.request.runtime_revision_id","typeLabel":"string"}},"required":["language","code"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.request","typeLabel":"object"},"response":{"properties":{"execution":{"description":"The execution details of the function.","properties":{"duration":{"description":"The execution time of the function in milliseconds.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution.duration","typeLabel":"integer"},"exit_code":{"description":"The exit code returned by the function. Will often be '0' on success and non-zero on failure.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution.exit_code","typeLabel":"integer"},"id":{"description":"The ID of the execution.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution.id","typeLabel":"string"},"stderr":{"description":"The contents of 'stderr' after executing the function.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution.stderr","typeLabel":"string"},"stdout":{"description":"The contents of 'stdout' after executing the function.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution.stdout","typeLabel":"string"}},"required":["id","exit_code","stdout","stderr","duration"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.execution","typeLabel":"object"},"output":{"description":"The output of the function.","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.output","typeLabel":"any"},"output_status":{"description":"The status of the output. \"valid\" means your function executed successfully and returned a valid JSON-serializable object, or void. \"json_serialization_error\" means your function executed successfully, but returned a nonserializable object. \"error\" means your function failed to execute.","enum":["error","json_serialization_error","valid"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response.output_status","typeLabel":"enum\u003cstring>"}},"required":["output","output_status","execution"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.response","typeLabel":"object"},"type":{"enum":["function"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.1.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.items.[INDEX].details.oneOf.1","typeLabel":"object"},{"type":"object","required":["type","request","response"],"properties":{"request":{"properties":{"code":{"description":"The code to execute.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.request.code","typeLabel":"string"},"language":{"description":"The interpreter to use when executing code.","enum":["python","javascript","typescript","ruby","php"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.request.language","typeLabel":"enum\u003cstring>"},"args":{"description":"List of command line arguments to pass to the script.","items":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.args.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.args","typeLabel":"string[]"},"env":{"additionalProperties":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.env.additionalProperties","typeLabel":"string"},"description":"Set of key-value pairs to add to the script's execution environment.","type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.env","typeLabel":"object"},"files":{"description":"List of input files.","items":{"properties":{"contents":{"description":"The contents of the file.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.files.items.[INDEX].contents","typeLabel":"string"},"path":{"description":"The relative path of the file.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.files.items.[INDEX].path","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.files.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.files","typeLabel":"object[]"},"http":{"description":"Configuration for HTTP requests and authentication.","properties":{"allow":{"description":"List of allowed HTTP hosts and associated authentication.","items":{"description":"List of allowed HTTP hosts and associated authentication.","properties":{"auth":{"description":"Authentication configuration for outbound requests to this host.","properties":{"basic":{"properties":{"password":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.basic.password","typeLabel":"string"},"user_id":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.basic.user_id","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.basic","typeLabel":"object"},"bearer":{"description":"Configuration to add an 'Authorization' header using the 'Bearer' scheme.","properties":{"token":{"description":"The token to set, e.g. 'Authorization: Bearer \u003ctoken>'.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.bearer.token","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.bearer","typeLabel":"object"},"header":{"properties":{"name":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.header.name","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.header.value","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.header","typeLabel":"object"},"query":{"properties":{"key":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.query.key","typeLabel":"string"},"value":{"type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.query.value","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth.query","typeLabel":"object"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].auth","typeLabel":"object"},"host":{"description":"The hostname to allow.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX].host","typeLabel":"string"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http.allow","typeLabel":"object[]"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.http","typeLabel":"object"},"limits":{"description":"Configuration for execution environment limits.","properties":{"execution_timeout":{"description":"The maximum time allowed for execution (in seconds). Default is 30.","type":"integer","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.limits.execution_timeout","typeLabel":"integer"},"memory_size":{"description":"The maximum memory allowed for execution (in MiB). Default is 128.","type":"integer","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.limits.memory_size","typeLabel":"integer"}},"type":"object","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.limits","typeLabel":"object"},"runtime_revision_id":{"description":"The ID of the runtime revision to use when executing code.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.runtime_revision_id","typeLabel":"string"},"stdin":{"description":"Input made available to the script via 'stdin'.","type":"string","uniqueKey":"data.items.[INDEX].details.oneOf.2.request.stdin","typeLabel":"string"}},"required":["language","code"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.request","typeLabel":"object"},"response":{"properties":{"duration":{"description":"The execution time of the script in milliseconds.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response.duration","typeLabel":"integer"},"exit_code":{"description":"The exit code returned by the script. Will often be '0' on success and non-zero on failure.","type":"integer","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response.exit_code","typeLabel":"integer"},"id":{"description":"The ID of the execution.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response.id","typeLabel":"string"},"stderr":{"description":"The contents of 'stderr' after executing the script.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response.stderr","typeLabel":"string"},"stdout":{"description":"The contents of 'stdout' after executing the script.","type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response.stdout","typeLabel":"string"}},"required":["id","exit_code","stdout","stderr","duration"],"type":"object","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.response","typeLabel":"object"},"type":{"enum":["script"],"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].details.oneOf.2.type","typeLabel":"enum\u003cstring>"}},"uniqueKey":"data.items.[INDEX].details.oneOf.2","typeLabel":"object"}],"uniqueKey":"data.items.[INDEX].details","typeLabel":"object"}},"required":["id","language","duration","exit_code","started_at"],"type":"object","uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"type":"array","isRequired":true,"uniqueKey":"data","typeLabel":"object[]"}},"required":["data"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":[{"duration":123,"exit_code":123,"id":"\u003cstring>","language":"python","started_at":"2023-11-07T05:31:56Z","details":{"request":{"env":[{"name":"\u003cstring>","secret_id":"\u003cstring>","value":"\u003cstring>"}],"http":{"allow":[{"auth":{"basic":{"password":"\u003cstring>","secret_id":"\u003cstring>","user_id":"\u003cstring>"},"bearer":{"secret_id":"\u003cstring>","token":"\u003cstring>"},"query":{"key":"\u003cstring>","secret_id":"\u003cstring>","value":"\u003cstring>"}},"host":"\u003cstring>"}]},"input":"\u003cunknown>","revision_id":"\u003cstring>"},"response":{"execution":{"duration":123,"exit_code":123,"id":"\u003cstring>","stderr":"\u003cstring>","stdout":"\u003cstring>"},"output":"\u003cunknown>","output_status":"error"},"tool_id":"\u003cstring>","type":"tool"}}]}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"},"509dfd30-038b-4503-98ac-b2ec6ed3b764":{"content":{"application/json":{"examples":{"unauthenticated":{"title":"unauthenticated","value":{"code":16,"message":"unauthenticated"}}},"schema":{"properties":{"code":{"description":"The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].","type":"integer","uniqueKey":"code","typeLabel":"integer"},"message":{"description":"A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.","type":"string","uniqueKey":"message","typeLabel":"string"}},"type":"object","uniqueKey":"","typeLabel":"object"},"exampleType":"examples"}},"description":"Unauthenticated error response","exampleType":"examples"}},"security":{"dab6cadc-4d66-4870-b4fa-49b27d6a3e15":{"bearerHttpAuthentication":{"scheme":"bearer","type":"http","scopes":[]}}},"servers":{"d0941187-539b-4ea1-b339-3391ad343706":{"url":"https://api.riza.io"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerHttpAuthentication","name":"Authorization"}],"title":"bearerHttpAuthentication"}]},"originalFileLocation":"openapi.enhanced.yaml"},"subdomain":"rizainc","siteName":"Riza","title":"List executions - Riza","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:48:40.685Z","originalFileLocation":"api-reference/execution/list-executions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Returns a list of executions in your project.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Riza\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List executions - Riza\">\u003cmeta data-mint-head property=\"og:description\" content=\"Returns a list of executions in your project.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Riza\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.riza.io/api-reference/execution/list-executions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rizainc.mintlify.app/_mintlify/api/og/v2?division=Execution\u0026amp;title=List+executions\u0026amp;description=Returns+a+list+of+executions+in+your+project.\u0026amp;theme=f1e78ba747368d9780826b48\u0026amp;signature=05cfe9399db5b1b5ea59a3bbd1cc1684e0a6d69c1c78d3564fd2c062b8c2b511\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List executions - Riza\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Returns a list of executions in your project.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rizainc.mintlify.app/_mintlify/api/og/v2?division=Execution\u0026amp;title=List+executions\u0026amp;description=Returns+a+list+of+executions+in+your+project.\u0026amp;theme=f1e78ba747368d9780826b48\u0026amp;signature=05cfe9399db5b1b5ea59a3bbd1cc1684e0a6d69c1c78d3564fd2c062b8c2b511\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rizainc/DnTJkfgCNEmMOTTW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Riza\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#6D3E1C\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.riza.io/api-reference/execution/list-executions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/execution/list-executions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.riza.io/#organization\",\"name\":\"Riza\",\"url\":\"https://docs.riza.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/rizainc/pI0gH_-ICv-ySWJQ/logo/light.svg?fit=max\u0026auto=format\u0026n=pI0gH_-ICv-ySWJQ\u0026q=85\u0026s=0d9bef6436745a02be344f01336ff72f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.riza.io#website\",\"name\":\"Riza\",\"url\":\"https://docs.riza.io\",\"publisher\":{\"@id\":\"https://docs.riza.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.riza.io/api-reference/execution/list-executions#webpage\",\"url\":\"https://docs.riza.io/api-reference/execution/list-executions\",\"name\":\"List executions\",\"description\":\"Returns a list of executions in your project.\",\"dateModified\":\"2026-01-07T01:48:40.685Z\",\"isPartOf\":{\"@id\":\"https://docs.riza.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.riza.io/api-reference/execution/list-executions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.riza.io/api-reference/execution/list-executions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Riza\",\"item\":\"https://docs.riza.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"List executions\",\"item\":\"https://docs.riza.io/api-reference/execution/list-executions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.riza.io/api-reference/execution/list-executions#apireference\",\"headline\":\"List executions\",\"name\":\"List executions\",\"description\":\"Returns a list of executions in your project.\",\"url\":\"https://docs.riza.io/api-reference/execution/list-executions\",\"mainEntityOfPage\":{\"@id\":\"https://docs.riza.io/api-reference/execution/list-executions#webpage\"},\"dateModified\":\"2026-01-07T01:48:40.685Z\",\"publisher\":{\"@id\":\"https://docs.riza.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.riza.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Riza\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Riza","nav":{"global":{"anchors":[{"anchor":"Try the API playground","icon":"circle-play","href":"https://riza.io/playground"}]},"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/introduction"}]},{"tab":"Self-hosting","icon":"server","pages":[{"title":"Self-hosting","href":"/self-hosting/quickstart"}]},{"tab":"API Reference","icon":"code","groups":[{"group":"Overview","pages":[{"title":"Introduction","icon":"megaphone","href":"/api-reference/introduction"}]},{"group":"Code","pages":[{"openapi":"post /v1/execute","title":"Execute code","href":"/api-reference/command/execute-code"},{"openapi":"post /v1/execute-function","title":"Execute function","href":"/api-reference/command/execute-function"}]},{"group":"Custom Runtimes","pages":[{"openapi":"get /v1/runtimes","title":"List runtimes","href":"/api-reference/runtime/list-runtimes"},{"openapi":"post /v1/runtimes","title":"Create runtime","href":"/api-reference/runtime/create-runtime"},{"openapi":"get /v1/runtimes/{id}","title":"Retrieve runtime","href":"/api-reference/runtime/retrieve-runtime"},{"openapi":"delete /v1/runtimes/{id}","title":"Delete a runtime","href":"/api-reference/runtime/delete-a-runtime"},{"openapi":"get /v1/runtimes/{id}/revisions","title":"List runtime revisions","href":"/api-reference/runtime/list-runtime-revisions"},{"openapi":"post /v1/runtimes/{id}/revisions","title":"Create runtime revision","href":"/api-reference/runtime/create-runtime-revision"},{"openapi":"get /v1/runtimes/{runtime_id}/revisions/{revision_id}","title":"Retrieve runtime revision","href":"/api-reference/runtime/retrieve-runtime-revision"}]},{"group":"Secrets","pages":[{"openapi":"get /v1/secrets","title":"List secrets","href":"/api-reference/secret/list-secrets"},{"openapi":"post /v1/secrets","title":"Create secret","href":"/api-reference/secret/create-secret"}]},{"group":"Tools","pages":[{"openapi":"get /v1/tools","title":"List tools","href":"/api-reference/tool/list-tools"},{"openapi":"post /v1/tools","title":"Create tool","href":"/api-reference/tool/create-tool"},{"openapi":"get /v1/tools/{id}","title":"Retrieve tool","href":"/api-reference/tool/retrieve-tool"},{"openapi":"post /v1/tools/{id}","title":"Modify tool","href":"/api-reference/tool/modify-tool"},{"openapi":"post /v1/tools/{id}/execute","title":"Execute tool","description":"Execute a tool with a given input. The input is validated against the tool's input schema.","href":"/api-reference/tool/execute-tool"}]},{"group":"Execution","pages":[{"openapi":"get /v1/executions","title":"List executions","href":"/api-reference/execution/list-executions"},{"openapi":"get /v1/executions/{id}","title":"Retrieve execution","description":"Retrieves an execution.","href":"/api-reference/execution/retrieve-execution"}]}]}]},"basePath":"","title":"List executions - Riza","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["10e4515597","c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["BannerMarkdown-CX_qQQOL.js","dist-BTZUMDnx.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","clsx-xpJZXxdP.js","html-void-elements-mCSPHezU.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","AssistantPageLink-DqdKa2R4.js"]}